#!/usr/bin/perl

#  INPUT
$ifname="sorted_big_C.dat";
#  OUTPUT
$ofname1="sorted_big_C_part1.dat";
$ofname2="sorted_big_C_part2.dat";
$ofname3="sorted_big_C_part3.dat";

############################################

#  Count number of lines 
$lines = 0;
open(FILE, $ifname) or die "Can’t open ‘$ifname’: $!";
while (sysread FILE, $buffer, 4096) {
    $lines += ($buffer =~ tr/\n//);
}
close FILE;

$lines1 = $lines / 3;
$lines2 = $lines / 3;
$lines1=sprintf("%d", $lines1);
$lines2=sprintf("%d", $lines2);
#$lines3 = $lines - $lines1 - $lines2;
#print STDOUT "$lines = $lines1 + $lines2 + $lines3\n";

############################################

local $count = 1;
local $num = 0;

open( INPUT,   "<$ifname" )  or die "\n  Could not open data file '$ifname' : $!\n";
open( OUTPUT1, ">$ofname1" ) or die "\n  Could not open data file '$ofname1' : $!\n";
open( OUTPUT2, ">$ofname2" ) or die "\n  Could not open data file '$ofname2' : $!\n";
open( OUTPUT3, ">$ofname3" ) or die "\n  Could not open data file '$ofname3' : $!\n";

while (<INPUT>) {
    if ($count == 3) {
       print OUTPUT3 $_;
       $count = 1;
    } elsif ($count == 1) {
       print OUTPUT1 $_;
       $count++;
    } elsif ($count == 2) {
       print OUTPUT2 $_;
       $count++;
   }
   $num++;
   if ($num == $lines1) {
       break;
   }
}

while (<INPUT>) {
    if ($count == 3) {
       print OUTPUT1 $_;
       $count = 1;
    } elsif ($count == 1) {
       print OUTPUT2 $_;
       $count++;
    } elsif ($count == 2) {
       print OUTPUT3 $_;
       $count++;
   }
   $num++;
   if ($num == $lines2) {
       break;
   }
}

while (<INPUT>) {
    if ($count == 3) {
       print OUTPUT2 $_;
       $count = 1;
    } elsif ($count == 1) {
       print OUTPUT3 $_;
       $count++;
    } elsif ($count == 2) {
       print OUTPUT1 $_;
       $count++;
   }
}

close(INPUT);
close(OUTPUT1);
close(OUTPUT2);
close(OUTPUT3);

exit 0;


