#!/usr/bin/perl

$MIN_LINES=7311616;

if ($#ARGV ne 1) {
    print STDOUT "ERROR: Give me 2 arguments:\n  1) name of output file;\n  2) needed number of lines in this file.\n";
    exit 0;
}
print STDOUT "  Output file is: $ARGV[0]\n  Lines are: $ARGV[1]\n";

if ($ARGV[1] < $MIN_LINES) {
    print STDOUT "Minimum number of lines to generate = $MIN_LINES. Check and try again.\n";
    exit 0;
}

$lines = 0;
@glist = ('A','B','C','D','E','F','G','H','I','J','K','L','M','N','O','P','Q','R','S','T','U','V','W','X','Y','Z','a','b','c','d','e','f','g','h','i','j','k','l','m','n','o','p','q','r','s','t','u','v','w','x','y','z' );

open( OUTPUT, ">$ARGV[0]" ) or die "\n  Could not open data file '$ARGV[0]' : $!\n";

foreach $i (@glist)
{
  foreach $j (@glist)
  {
    foreach $k (@glist)
    {
      foreach $l (@glist)
      {
        foreach $m (@glist)
        {
          foreach $n (@glist)
          {
	        print OUTPUT "$i$j$k$l$m$n\n";
          }
        } 
      }
    }
    $lines =  $lines + $MIN_LINES;
    if ($lines >= $ARGV[1]) {
        close(OUTPUT);
        exit 0;
    }
  }
}

close(OUTPUT);
exit 0;

