#!/bin/bash

export LC_ALL=C
ulimit
sudo sysctl -w vm.overcommit_memory="0"
sudo sysctl -w vm.overcommit_ratio="50"

# Build sources 
pushd src
make
popd


# Prepare input data
pushd data
./prepare_all_data_files.sh
popd


# Run tests
pushd test_cases
./run_all_small.pl
./run_all_big.pl
./run_all_std.sh
popd

echo "All tests passed."

exit 0
