#!/usr/bin/perl

system("export LC_ALL=C");

system("rm sorted_small_result*.dat");
system("rm sorted_small_result*.rep");

system("./test_small_3.sh -i 1 -s 100000   -S 10000000");
system("./test_small_3.sh -i 2 -s 1000000  -S 10000000");
system("./test_small_3.sh -i 3 -s 10000000 -S 10000000");
system("./test_small_3.sh -i 0");
# 50M 100M
#system("./test_small_3.sh -i 4 -s 50000000 -S 100000000");

print STDOUT "===================================================\n";
print STDOUT "               Time report\n";
print STDOUT "\n";
print STDOUT "Test report name           User time    System time\n";
print STDOUT "---------------------------------------------------\n";
@res = `grep -H ".*user .*system .*elapsed .*" sorted_small_result*.rep`;
chomp (@res);
foreach $res ( @res ) {
    $res =~ /^(sorted_small_result.*\.rep):(\d+\.\d+)user (\d+\.\d+)system (.*)$/;
    print STDOUT "$1   $2 secs   $3 secs\n";
}
print STDOUT "===================================================\n";

print STDOUT "\n";
print STDOUT "\n";

@res = `grep -H "Files .* differ" sorted_small_result*.rep`;
if (scalar @res ne 0 ) {
    print STDOUT "===================================================\n";
    print STDOUT "          Diff report - ERROR !\n";
    print STDOUT "  Original and merged files are not identical !\n";
    print STDOUT "\n";
    print STDOUT "Test report name        : Error string\n";
    print STDOUT "---------------------------------------------------\n";
    foreach $res (@res) {
        print STDOUT  "$res";
    }
    print STDOUT "===================================================\n";
}


exit (0);

